Redmine - Defect #4146

Textile formatting does not work
2009-11-02 01:28 - Andrew Kouznetsov

Status: Closed Start date: 2009-11-02
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

| have just installed redmine from trunk and created a project with description "*SaaS foo bar*"
At the project page i see deescription SaaS foo bar but textile option is enabled.

History

#1 - 2009-11-02 16:23 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Invalid

Your bug report is unclear.
If textile is enabled, it will be displayed in bold.

#2 - 2009-11-02 16:38 - Andrew Kouznetsov

- Status changed from Closed to Reopened

Sorry. | wanted to say that | see stars as is, not bold text.

#3 - 2009-11-02 18:36 - Jean-Philippe Lang

Also, did you want to say that the problem is on the projects list, not on the project page?

#4 - 2009-11-02 18:52 - Andrew Kouznetsov

No, the problem is on the project page and on the project list.
It is here: http:/redmine.goldcontrol.ru/projects/motivator

#5 - 2009-11-02 19:02 - Jean-Philippe Lang

Sorry, | can't reproduce.
The exact same text is displayed in bold with a fresh checkout and textile enabled.

#6 - 2009-11-02 20:16 - Felix Schafer

Andrew, pelase make sure the option "Text formatting" in Administration > Settings > General is set to "textile". Setting it to "none" was the only way |
was able to reproduce your error.

#7 - 2009-11-02 22:25 - Andrew Kouznetsov

This option is set to "textile".
Revision number is 2993.
You can see admin interface - login SMiX, password admin

#8 - 2009-11-02 23:35 - Felix Schafer

I've had a look at your installation, and you should complete the installation properly, by giving the webserver or the rails process the correct rights on
the correct folders (have a look at http:/redmine.goldcontrol.ru/admin/info ). | doubt that will correct your textile problem though.

As to the textile problem: only +, -, * and _ are ignored, everything else like hX. tags and @ are rendered correctly. Might it be that the Regexes
defined in source:trunk/lib/redcloth3.rb#L 364 and following are somehow sensitive to whatever encoding his server is running in?

Andrew, could you possibly tell us what the locales are for the user your rails processes are running as?

#9 - 2009-11-02 23:48 - Andrew Kouznetsov
http://redmine.goldcontrol.ru/projects/motivator
http://redmine.goldcontrol.ru/admin/info
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redcloth3.rb#L364

Now i have completed the installation properly but the problem already exists.
Rails are running by user redmine. Locale is ru_RU.UTF-8.
Also, sorry for my english :) Thanks.

#10 - 2009-11-03 06:17 - Fedor Shubin

Hi,Andrew. But "*SaaS-npoekT nns MoTneaumm coTpyaHukos komnaHumn*." (dot-ending) is working )).
In my 0.8.4.stable version there is no this problem.

#11 - 2009-11-03 08:15 - Felix Schafer
As | said, the problem is not a "generic" installation, his description string works fine in my dev redmine, even without the trailing dot.

I've created a wiki page on Andrew's Redmine install to show my point: http://redmine.goldcontrol.ru/projects/motivator/wiki/Foo. I've made a line for
each tag that came to mind: some work, some doesn't. I've put the different tags used at the bottom in x x for reference.

#12 - 2009-11-19 10:07 - Yasuo Yokoyama
- File textile.png added

| have a same problem on recent trunk.

Redmine 0.8.7.devel.3076 (PostgreSQL)

# ruby -v

ruby 1.8.7 (2009-04-08 patchlevel 160) [amd64-freebsd8]
# gem list -local

actionmailer (2.3.4)

actionpack (2.3.4)

activerecord (2.3.4)

activeresource (2.3.4)
activesupport (2.3.4)
fastthread (1.0.7)
mocha (0.9.7)
nofxx-object_daddy (0.4.1)
passenger (2.2.5)

postgres (0.7.9.2008.01.28)
rack (1.0.0)

rails (2.3.4)

rake (0.8.7)

sources (0.0.2)
sglite3-ruby (1.2.4)
thoughtbot-shoulda (2.10.2)

An attached image is a result of doing preview.
#13 - 2010-03-08 15:03 - Babar O'Cap

Fedor Shubin wrote:

*n

Hi,Andrew. But "*SaaS-npoekT ang motmsaumm cotpyaHukos komnaHun™." (dot-ending) is working )).
In my 0.8.4.stable version there is no this problem.

Same problem for me, with JRuby, see my Issue #3764
#14 - 2010-03-20 14:11 - Jean-Philippe Lang
Yasuo Yokoyama wrote:

| have a same problem on recent trunk.

Redmine 0.8.7.devel.3076 (PostgreSQL)
(-]

An attached image is a result of doing preview.

| don't have this problem here. The following:
Test

*Test*
http://redmine.goldcontrol.ru/projects/motivator/wiki/Foo
https://www.redmine.org/users/25408
https://www.redmine.org/issues/3764

*Test* Test

Test *Test*

Test *Test* Test
Gives:

Test

Test

Test Test

Test Test

Test Test Test

#15 - 2010-12-30 05:42 - Mischa The Evil

- Status changed from Reopened to Closed
Not able to reproduce on recent trunk. The expected result is rendered. Please re-open if this issue still persists on trunk.

Files

textile.png 26.3 KB 2009-11-19 Yasuo Yokoyama
